package com.rf.check.copywriting.dao.model;

import com.rf.check.base.model.BaseEntity;
import lombok.*;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @author zsy
 * @description:文案信息表
 * @date 2021/6/17 15:55
 */
@Entity
@Data
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "t_copywriting_info")
@EqualsAndHashCode(callSuper=true)
@org.hibernate.annotations.Table(appliesTo = "t_copywriting_info", comment = "文案信息表")
public class CopywritingEntity extends BaseEntity {

    @Column(name = "copywriting", columnDefinition = "varchar(25) not null comment '文案内容'")
    private String copywriting;

    @Column(name = "category", columnDefinition = "varchar(20) not null comment '所属分类(成长与自我-1；心态与情绪-2；选择与取舍-3；人际关系-4；生活与态度-5；" +
            "梦想与行动-6；挫折与坚持-7；认知与智慧-8；珍惜与感恩-9；生命与意义-10)'")
    private String category;

}
