package com.rf.check.copywriting.dao.repository;

import com.rf.check.base.repository.BaseRepository;
import com.rf.check.copywriting.dao.model.CopywritingEntity;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;
import org.springframework.data.jpa.repository.Query;

/**
 * @Description: 文案相关接口
 * @Author: zsy
 * @Date: 2024/12/4
 */
public interface CopywritingRepository extends BaseRepository<CopywritingEntity, String> {

    @Query(value = "select * from t_copywriting_info ",
            countQuery = "select * from t_copywriting_info ", nativeQuery = true)
    Page<CopywritingEntity> findCopywritingList(PageRequest of);

    @Query(value = "select * from t_copywriting_info where category = ?1 ORDER BY RAND() LIMIT 1 ",nativeQuery = true)
    CopywritingEntity recommendCopywriting(int category);
}
