package com.rf.check.copywriting.rest;

import com.alibaba.fastjson.JSONObject;
import com.rf.check.base.rest.BaseController;
import com.rf.check.copywriting.dao.model.CopywritingEntity;
import com.rf.check.copywriting.service.CopywritingService;
import com.rf.check.filter.JwtIgnore;
import com.rf.check.picture.dao.model.PictureEntity;
import com.rf.check.user.dao.model.UserEntity;
import com.rf.check.utils.JWTUtil;
import com.rf.check.utils.LunarCalendarFestivalUtils;
import com.rf.check.utils.Result;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.web.bind.annotation.*;

import java.util.ArrayList;
import java.util.List;


/**
 * @Description: 文案等相关接口
 * @Author: zsy
 * @Date: 2024/12/4
 */
@RestController
@RequestMapping("/copywriting")
@Api(tags = "文案等相关接口")
@Slf4j
public class CopywritingController extends BaseController {

    @Autowired
    private CopywritingService copywritingService;

    @GetMapping("/findCopywritingList")
    @ApiOperation(value = "文案列表查询", notes = "")
    @JwtIgnore
    public Result findCopywritingList() {
        List<CopywritingEntity> copywritingEntities = new ArrayList<>();
        for(int i = 1; i < 11; i++) {
            CopywritingEntity copywritingEntity = this.copywritingService.recommendCopywriting(i);
            copywritingEntities.add(copywritingEntity);
        }
        return success(copywritingEntities);
    }

}
