package com.rf.check.copywriting.service.impl;

import com.rf.check.copywriting.dao.model.CopywritingEntity;
import com.rf.check.copywriting.dao.repository.CopywritingRepository;
import com.rf.check.copywriting.service.CopywritingService;
import com.rf.check.picture.dao.model.PictureEntity;
import com.rf.check.picture.dao.repository.PictureRepository;
import com.rf.check.picture.service.PictureService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;
import org.springframework.stereotype.Service;


/**
 * @Description: 背景图片等相关接口
 * @Author: zsy
 * @Date: 2024/12/4
 */
@Service
public class CopywritingServiceImpl implements CopywritingService {

    @Autowired
    private CopywritingRepository copywritingRepository;

    @Override
    public Page<CopywritingEntity> findCopywritingList(int beginNum, int pageSize) {
        return this.copywritingRepository.findCopywritingList(PageRequest.of(beginNum - 1, pageSize));
    }

    @Override
    public CopywritingEntity recommendCopywriting(int category) {
        return this.copywritingRepository.recommendCopywriting(category);
    }
}
