package com.rf.check.picture.dao.model;

import com.rf.check.base.model.BaseEntity;
import lombok.*;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @author zsy
 * @description:背景图片信息表
 * @date 2021/6/17 15:55
 */
@Entity
@Data
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "t_picture_info")
@EqualsAndHashCode(callSuper=true)
@org.hibernate.annotations.Table(appliesTo = "t_picture_info", comment = "背景图片信息表")
public class PictureEntity extends BaseEntity {

    @Column(name = "category", columnDefinition = "varchar(20) not null comment '所属分类(问安-1；风景-2；趣味-3；生活-4；宠物-5；卡通-6；心情-7)'")
    private String category;

    @Column(name = "picture_url", columnDefinition = "varchar(255) not null comment '背景图片URL'")
    private String pictureUrl;

    @Column(name = "handle_picture_url", columnDefinition = "varchar(255) not null comment '背景图片缩略图URL'")
    private String handlePictureUrl;

    @Column(name = "share_num", columnDefinition = "int(6) comment '分享和生成次数'")
    private int shareNum;

}
