package com.rf.check.picture.dao.repository;

import com.rf.check.base.repository.BaseRepository;
import com.rf.check.picture.dao.model.PictureEntity;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

/**
 * @Description: 用户注册登录等相关接口
 * @Author: zsy
 * @Date: 2024/12/4
 */
public interface PictureRepository extends BaseRepository<PictureEntity, String> {

    @Query(value = "select * from t_picture_info where 1=1 and if(?1 is not null and ?1 !='',(category = ?1),1=1) ",
            countQuery = "select * from t_picture_info where 1=1 and if(?1 is not null and ?1 !='',(category = ?1),1=1) ", nativeQuery = true)
    Page<PictureEntity> findPictureList(String category, PageRequest of);

    @Query(value = "select * from t_picture_info where category in ('1','2','3','4','5','6','7') ORDER BY RAND() LIMIT ?1 ",nativeQuery = true)
    List<PictureEntity> recommendPicture(int num);

    PictureEntity findPictureByCategory(String category);

    @Query(value = "select * from t_picture_info where category not in ('1','2','3','4','5','6','7') ",
            countQuery = "select * from t_picture_info where category not in ('1','2','3','4','5','6','7') ", nativeQuery = true)
    Page<PictureEntity> findPictureOtherList(PageRequest of);
}
