package com.rf.check.picture.service.impl;

import com.rf.check.picture.dao.model.PictureEntity;
import com.rf.check.picture.dao.repository.PictureRepository;
import com.rf.check.picture.service.PictureService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;
import org.springframework.stereotype.Service;

import java.util.List;


/**
 * @Description: 背景图片等相关接口
 * @Author: zsy
 * @Date: 2024/12/4
 */
@Service
public class PictureServiceImpl implements PictureService {

    @Autowired
    private PictureRepository pictureRepository;

    @Override
    public Page<PictureEntity> findPictureList(String category, int beginNum, int pageSize) {
        return this.pictureRepository.findPictureList(category, PageRequest.of(beginNum - 1, pageSize));
    }

    @Override
    public Page<PictureEntity> findPictureOtherList(int beginNum, int pageSize) {
        return this.pictureRepository.findPictureOtherList(PageRequest.of(beginNum - 1, pageSize));
    }

    @Override
    public PictureEntity findById(String pictureId) {
        return this.pictureRepository.findById(pictureId).orElse(null);
    }

    @Override
    public PictureEntity save(PictureEntity pictureEntity) {
        return this.pictureRepository.save(pictureEntity);
    }

    @Override
    public List<PictureEntity> recommendPicture(int num) {
        return this.pictureRepository.recommendPicture(num);
    }

    @Override
    public PictureEntity findPictureByCategory(String category) {
        return this.pictureRepository.findPictureByCategory(category);
    }
}
