package com.rf.check.user.dao.model;

import com.rf.check.base.model.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;

/**
 * @author zsy
 * @description:用户打卡记录表
 * @date 2021/6/17 15:55
 */
@Entity
@Data
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "t_user_check")
@EqualsAndHashCode(callSuper=true)
@org.hibernate.annotations.Table(appliesTo = "t_user_check", comment = "用户打卡记录表")
public class UserCheckEntity extends BaseEntity {

    @Column(name = "user_id", columnDefinition = "varchar(36) not null comment '用户ID'")
    private String userId;

    @Transient
    private String avatar;//打卡人头像

    @Transient
    private String userName;//打卡人昵称

}
