package com.rf.check.user.dao.model;

import com.rf.check.base.model.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @author zsy
 * @description:用户保存图片记录表
 * @date 2021/6/17 15:55
 */
@Entity
@Data
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "t_user_picture")
@EqualsAndHashCode(callSuper=true)
@org.hibernate.annotations.Table(appliesTo = "t_user_picture", comment = "用户保存图片记录表")
public class UserPictureEntity extends BaseEntity {

    @Column(name = "user_id", columnDefinition = "varchar(36) not null comment '用户ID'")
    private String userId;

    @Column(name = "picture_id", columnDefinition = "varchar(36) not null comment '图片ID'")
    private String pictureId;

    @Column(name = "picture_url", columnDefinition = "varchar(255) not null comment '图片URL'")
    private String pictureUrl;

}
