package com.rf.check.user.dao.repository;

import com.rf.check.base.repository.BaseRepository;
import com.rf.check.picture.dao.model.PictureEntity;
import com.rf.check.user.dao.model.UserCheckEntity;
import com.rf.check.user.dao.model.UserPictureEntity;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;
import org.springframework.data.jpa.repository.Query;

/**
 * @Description: 用户打卡等相关接口
 * @Author: zsy
 * @Date: 2024/12/4
 */
public interface UserCheckRepository extends BaseRepository<UserCheckEntity, String> {

    @Query(value = "select * from t_user_check WHERE create_time like CONCAT('%',?1,'%') ORDER BY create_time ASC ",
            countQuery = "select * from t_user_check WHERE create_time like CONCAT('%',?1,'%') ORDER BY create_time ASC ", nativeQuery = true)
    Page<UserCheckEntity> todayRanking(String nowDate, PageRequest of);

    @Query(value = "SELECT * FROM t_user_check WHERE user_id = ?1 and create_time like CONCAT('%',?2,'%') ", nativeQuery = true)
    UserCheckEntity findByUserIdAndCreateTime(String userId, String nowDate);

    @Query(value = "select * from t_user_check where user_id = ?1 ORDER BY create_time desc ",
            countQuery = "select * from t_user_check where user_id = ?1 ", nativeQuery = true)
    Page<UserCheckEntity> checkRecord(String userId, PageRequest of);
}
