package com.rf.check.user.dao.repository;

import com.rf.check.base.repository.BaseRepository;
import com.rf.check.picture.dao.model.PictureEntity;
import com.rf.check.user.dao.model.UserPictureEntity;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;
import org.springframework.data.jpa.repository.Query;

/**
 * @Description: 用户生成图片等相关接口
 * @Author: zsy
 * @Date: 2024/12/4
 */
public interface UserPictureRepository extends BaseRepository<UserPictureEntity, String> {


    @Query(value = "select * from t_user_picture where user_id = ?1 ORDER BY create_time desc ",
            countQuery = "select * from t_user_picture where user_id = ?1 ", nativeQuery = true)
    Page<UserPictureEntity> findUserPictureList(String userId, PageRequest of);
}
