package com.rf.check.user.dao.repository;

import com.rf.check.base.repository.BaseRepository;
import com.rf.check.user.dao.model.UserEntity;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.transaction.annotation.Transactional;

/**
 * @Description: 用户注册登录等相关接口
 * @Author: zsy
 * @Date: 2024/12/4
 */
public interface UserRepository extends BaseRepository<UserEntity, String> {

    UserEntity findByOpenId(String openId);

    @Query(value = "select * from t_user_info ORDER BY check_num DESC ",
            countQuery = "select * from t_user_info ORDER BY check_num DESC ", nativeQuery = true)
    Page<UserEntity> cumulativeRanking(PageRequest of);

    @Transactional
    @Modifying(clearAutomatically = true)
    @Query(value = "UPDATE t_user_info SET check_num = check_num + 1 WHERE id = :userId ", nativeQuery = true)
    void checkNumAdd(String userId);
}
