package com.rf.check.user.service.impl;

import com.rf.check.picture.dao.model.PictureEntity;
import com.rf.check.user.dao.model.UserCheckEntity;
import com.rf.check.user.dao.model.UserPictureEntity;
import com.rf.check.user.dao.repository.UserCheckRepository;
import com.rf.check.user.dao.repository.UserPictureRepository;
import com.rf.check.user.service.UserCheckService;
import com.rf.check.user.service.UserPictureService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;
import org.springframework.stereotype.Service;


/**
 * @Description: 用户打卡等相关接口
 * @Author: zsy
 * @Date: 2024/12/4
 */
@Service
public class UserCheckServiceImpl implements UserCheckService {

    @Autowired
    private UserCheckRepository userCheckRepository;

    @Override
    public UserCheckEntity save(UserCheckEntity userCheckEntity) {
        return this.userCheckRepository.save(userCheckEntity);
    }

    @Override
    public Page<UserCheckEntity> todayRanking(String nowDate, int beginNum, int pageSize) {
        return this.userCheckRepository.todayRanking(nowDate, PageRequest.of(beginNum - 1, pageSize));
    }

    @Override
    public UserCheckEntity findByUserIdAndCreateTime(String userId, String nowDate) {
        return this.userCheckRepository.findByUserIdAndCreateTime(userId, nowDate);
    }

    @Override
    public Page<UserCheckEntity> checkRecord(String userId, int beginNum, int pageSize) {
        return this.userCheckRepository.checkRecord(userId, PageRequest.of(beginNum - 1, pageSize));
    }

}
