package com.rf.check.user.service.impl;

import com.rf.check.picture.dao.model.PictureEntity;
import com.rf.check.user.dao.model.UserPictureEntity;
import com.rf.check.user.dao.repository.UserPictureRepository;
import com.rf.check.user.service.UserPictureService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;
import org.springframework.stereotype.Service;


/**
 * @Description: 用户生成图片等相关接口
 * @Author: zsy
 * @Date: 2024/12/4
 */
@Service
public class UserPictureServiceImpl implements UserPictureService {

    @Autowired
    private UserPictureRepository userPictureRepository;

    @Override
    public UserPictureEntity save(UserPictureEntity userPictureEntity) {
        return this.userPictureRepository.save(userPictureEntity);
    }

    @Override
    public Page<UserPictureEntity> findUserPictureList(String userId, int beginNum, int pageSize) {
        return this.userPictureRepository.findUserPictureList(userId, PageRequest.of(beginNum - 1, pageSize));
    }
}
