package com.rf.check.user.service.impl;

import com.rf.check.user.dao.model.UserEntity;
import com.rf.check.user.dao.repository.UserRepository;
import com.rf.check.user.service.UserService;
import com.rf.check.utils.Constant;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;
import org.springframework.stereotype.Service;


/**
 * @Description: 用户注册登录等相关接口
 * @Author: zsy
 * @Date: 2024/12/4
 */
@Service
public class UserServiceImpl implements UserService {

    @Autowired
    private UserRepository userRepository;

    @Override
    public UserEntity save(UserEntity userEntity) {
        return this.userRepository.save(userEntity);
    }

    @Override
    public UserEntity findById(String id) {
        return this.userRepository.findById(id).orElse(null);
    }

    @Override
    public UserEntity findByOpenId(String openId) {
        return this.userRepository.findByOpenId(openId);
    }

    @Override
    public Page<UserEntity> cumulativeRanking(int beginNum, int pageSize) {
        return this.userRepository.cumulativeRanking(PageRequest.of(beginNum - 1, pageSize));
    }

    @Override
    public void checkNumAdd(String userId) {
        this.userRepository.checkNumAdd(userId);
    }
}
